package app18b.listener;

import app18b.util.Config;

import javax.servlet.ServletContext;
import javax.servlet.ServletContextEvent;
import javax.servlet.ServletContextListener;

import org.apache.struts.util.MessageResources;

public class AppListener implements ServletContextListener {
	public void contextInitialized(ServletContextEvent cse) {
	  try {
  	  Config config = Config.getInstance();
      ServletContext servletContext = cse.getServletContext();  	  
      String dbType = servletContext.getInitParameter("dbType");  	  
  	  MessageResources messageResources = MessageResources.getMessageResources("ApplicationResources");
  	  String maxRecordsPerPage = messageResources.getMessage("MAX_RECORDS_PER_PAGE");
  	  String maxPagesPerRetrieve = messageResources.getMessage("MAX_PAGES_PER_RETRIEVE"); 	  
  	  config.addKeyValue("dbType", dbType);
  	  config.addKeyValue("maxRecordsPerPage", maxRecordsPerPage);
  	  config.addKeyValue("maxPagesPerRetrieve", maxPagesPerRetrieve);
  	  
  	  servletContext.setAttribute("maxRecordsPerPage", maxRecordsPerPage);
	  } 
	  catch (Exception ex) {
	     System.out.println("app18b error: " + ex.getMessage());
	  }
	}

	public void contextDestroyed(ServletContextEvent cse) {
  }
}
